解决WordPress安装插件时,提示“请求的操作,WordPress需要访问您网页服务器的权限。 请输入您的FTP登录凭据以继续”的问题

解决WordPress安装插件时,提示“请求的操作,WordPress需要访问您网页服务器的权限。 请输入您的FTP登录凭据以继续”的问题

技术教程涛哥软件2019-03-26 20:55:38821A+A-

  • 我在安装插件的时候,提示:“无法连接到文件系统,请确认您的凭据。要执行请求的操作,WordPress需要访问您网页服务器的权限。 请输入您的FTP登录凭据以继续。 如果您忘记了您的登录凭据(如用户名、密码),请联系您的网站托管商。

    这个问题困扰了我好久。

    首先是,我查询了我网站VPS主机的FTP主机名,FTP用户名,和FTP密码,输入之后,还是提示错误!

  •  
  • 没有办法,我后面又复制这段提示文字。去百度搜索解决的办法,办法如下:
  • 请将以下代码,添加到WordPress网站根目录下的 wp-config.php 文件中 ▼

    define("FS_METHOD","direct");
    define("FS_CHMOD_DIR", 0755);
    define("FS_CHMOD_FILE", 0755);
  • 但是好像没有用!
  • 接着,我又安装网上提示的解决办法,给予我网站全部web文件可以修改的权限。
  • 分析问题:出现这个提示是因为文件的权限导致的,我们为我们的文件夹添加编辑权限,如下图所示的操作步骤。

但是,安装这个步骤操作之后,又出现了如下的问题:提示我在安装插件,比如我在安装插件Classic Editor的时候,提示“安装失败:无法复制文件”。

这种问题怎么解决呢?后来我就去网上找了一种方法。首先我们直接把插件zip文件下载下来,然后解压到plugin文件夹里就安装好了。具体如下:

首先我们搜索插件,点击“更多详情”,查看详情,点击“插件页面”进入插件官方页面。之后我们点击下载按钮“Download”即可。

下载之后,我们解压到网站的插件目录,目录是wp-content/plugins,注意解压的时候,一定要选择解压之后,保证插件的名字嵌套之后一层,不能含有两层。然后,我们在网站后台点击插件,启动插件即可!

我们点击插件,找到相应的插件,点击“启用”即可开启插件。

点击这里复制本文地址 以上内容由涛哥软件站整理呈现,请务必在转载分享时注明本文地址!如对内容有疑问,请联系我们!

涛哥软件站 © All Rights Reserved.  本网站部分资源收集来源于网络,如有侵权,请联系我们(邮箱 taoegg@qq.com )删除,部分内容由本站原创,请不要用于商业用途。
网站管理|